DICOMPULL(1)

NAME
dicompull - vtk-dicom CLI

DESCRIPTION

  usage:

    dicompull [options] <directory> ...

  options:

-L  Follow symbolic links (default).

-P  Do not follow symbolic links.

-k tag=value
    Provide an attribute to be queried and matched.

-q <query.txt>
    Provide a file to describe the find query.

-u <uids.txt>
    Provide a file that contains a list of UIDs.

-o <directory>
    Directory to place the files into.

-maxdepth n
    Set the maximum directory depth.

-name pattern
    Set file names to match (with "*" or "?").

-image
    Restrict the search to files with PixelData.

-series
    Find all files in series if even one file matches.

--directory-only
    Do not scan files for search if DICOMDIR is present.

--ignore-dicomdir Ignore the DICOMDIR file even if it is present.

--charset <cs>
    Charset to use if SpecificCharacterSet is missing.

--silent
    Do not report any progress information.

--help
    Print a brief help message.

--version
    Print the software version.

Find dicom files in one directory and copy them to a new directory.

The output directory given with "-o" can use DICOM attributes, by naming those attributes within curly braces. For example, consider "{PatientID}/{StudyDescription}/{SeriesDescription}-{SeriesNumber}" or something similar to produce a hierarchical directory structure.

The files to be copied are specified with search keys, which take the form "-k key=value" where keys can either use the standard names given in the DICOM dictionary, e.g. Modality or SeriesDescription, or can be in the form GGGG,EEEE with hexadecimal group and element values. The tags can also be listed in a query file with the "-q" option (one tag per line). Private tags should be preceded by the private dictionary name in square brackets.

The values used for "-k key=value" can use the wildcards * and ?, and can also use date ranges of the form "19990103-19990105".

The "-u" option can be used to provide a list of UIDs. Provide a file where the first line of the file is the key (e.g. SeriesInstanceUID) and the rest of the file is the UIDs to match, one UID per line.

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.